// ---------------------------------- list.c ----------------------------------
/*
    LibCapy - a general purpose library of C functions and data structures
    Copyright (C) 2021-2025 Pascal Baillehache baillehache.pascal@gmail.com
    https://baillehachepascal.dev
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
#include "list.h"

// Definition of lists for some basic types
CapyDefList(CapyListChar, char)
CapyDefList(CapyListInt8, int8_t)
CapyDefList(CapyListInt16, int16_t)
CapyDefList(CapyListInt64, int64_t)
CapyDefList(CapyListUInt8, uint8_t)
CapyDefList(CapyListUInt16, uint16_t)
CapyDefList(CapyListUInt64, uint64_t)
CapyDefList(CapyListFloat, float)
CapyDefList(CapyListDouble, double)
CapyDefList(CapyListPtrChar, char*)
CapyDefList(CapyListPtrInt8, int8_t*)
CapyDefList(CapyListPtrInt16, int16_t*)
CapyDefList(CapyListPtrUInt8, uint8_t*)
CapyDefList(CapyListPtrUInt16, uint16_t*)
CapyDefList(CapyListPtrFloat, float*)
CapyDefList(CapyListPtrDouble, double*)
CapyDefList(CapyListArrChar, CapyArrChar)
